.btn {
  width: 100%;
  display: inline-block;
  color: white;
  cursor: pointer;
  text-align: center;


  &.primary {
    border-radius: $border-primary;
    background: $color-btn-primary;
    font-weight: 700;
    font-size: $font-sm;
    line-height: $line-xsm;
    max-width: 200px;

    &:hover {

      @include transition(all .3s);
      background-color: lighten($color-btn-primary, 5%);

    }
  }

  &.secondary {
    border-radius: $border-primary;
    background: $color-btn-secondary;
    font-weight: 700;
    font-size: $font-sm;
    line-height: $line-xsm;
    max-width: 200px;

    &:hover {

      @include transition(all .3s);
      background-color: lighten($color-btn-secondary, 5%);
    }
  }

  &.secondary-call-btn {
    border-radius: $border-secondary;

    &:hover {

      @include transition(all .3s);
      background-color: lighten($color-primary, 5%);
    }

  }

  &.alternative {
    border-radius: $border-alternative;
    background: $color-primary;
    max-width: 81px;
    font-size: $font-secondary;
    line-height: $line-other-secondary;
    font-weight: 400;

    &:hover {

      @include transition(all .3s);
      background-color: lighten($color-primary, 5%);

    }
  }

  &.button-lg {
    height: 50px;
    line-height: 50px;

  }

  &.button-xs {
    font-size: $font-secondary;
    height: 48px;
    line-height: 48px;

  }

  &.button-sm {
    height: 29px;
    line-height: 29px;

  }
}






